Bug 256182 - lists.freebsd.org/pipermail/… redirections to lists.freebsd.org/archives/…: sometimes to the wrong content, sometimes not found (404)
Summary: lists.freebsd.org/pipermail/… redirections to lists.freebsd.org/archives/…: s...
Status: Closed FIXED
Alias: None
Product: Services
Classification: Unclassified
Component: Mailing Lists (show other bugs)
Version: unspecified
Hardware: Any Any
: --- Affects Some People
Assignee: postmaster
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-27 06:50 UTC by Graham Perrin
Modified: 2021-06-23 05:49 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Graham Perrin 2021-05-27 06:50:03 UTC
No longer found: 

https://lists.freebsd.org/archives/freebsd-current/2013-October/045097.html
https://lists.freebsd.org/archives/freebsd-current/2013-October/045345.html
https://lists.freebsd.org/archives/freebsd-current/2014-September/052247.html
https://lists.freebsd.org/archives/freebsd-current/2015-December/058990.html
https://lists.freebsd.org/archives/freebsd-current/2016-August/063017.html
https://lists.freebsd.org/archives/freebsd-current/2016-December/064198.html
https://lists.freebsd.org/archives/freebsd-current/2016-October/063501.html
https://lists.freebsd.org/archives/freebsd-current/2016-September/063243.html
https://lists.freebsd.org/archives/freebsd-current/2017-January/064299.html
https://lists.freebsd.org/archives/freebsd-current/2017-January/064324.html
https://lists.freebsd.org/archives/freebsd-current/2017-January/064451.html
https://lists.freebsd.org/archives/freebsd-current/2017-January/064581.html
https://lists.freebsd.org/archives/freebsd-current/2017-June/066396.html
https://lists.freebsd.org/archives/freebsd-current/2018-December/072422.html
https://lists.freebsd.org/archives/freebsd-current/2018-December/072430.html
https://lists.freebsd.org/archives/freebsd-current/2018-October/071506.html
https://lists.freebsd.org/archives/freebsd-current/2018-October/071700.html
https://lists.freebsd.org/archives/freebsd-current/2018-October/071742.html
https://lists.freebsd.org/archives/freebsd-current/2018-September/071125.html
https://lists.freebsd.org/archives/freebsd-current/2018-September/071327.html
https://lists.freebsd.org/archives/freebsd-current/2018-September/071396.html
https://lists.freebsd.org/archives/freebsd-current/2019-June/073567.html
https://lists.freebsd.org/archives/freebsd-current/2019-November/074810.html
https://lists.freebsd.org/archives/freebsd-current/2020-April/075713.html
https://lists.freebsd.org/archives/freebsd-current/2020-December/077933.html
https://lists.freebsd.org/archives/freebsd-current/2020-December/077949.html
https://lists.freebsd.org/archives/freebsd-current/2020-December/077990.html
https://lists.freebsd.org/archives/freebsd-current/2020-December/078009.html
https://lists.freebsd.org/archives/freebsd-current/2020-November/077635.html
https://lists.freebsd.org/archives/freebsd-current/2020-November/077693.html
https://lists.freebsd.org/archives/freebsd-current/2020-September/076958.html
https://lists.freebsd.org/archives/freebsd-current/2020-September/077017.html
https://lists.freebsd.org/archives/freebsd-current/2020-September/077022.html
https://lists.freebsd.org/archives/freebsd-current/2021-January/078107.html
https://lists.freebsd.org/archives/freebsd-current/2021-January/078108.html
https://lists.freebsd.org/archives/freebsd-current/2021-January/078116.html
https://lists.freebsd.org/archives/freebsd-current/2021-January/078266.html
https://lists.freebsd.org/archives/freebsd-current/2021-January/078321.html
https://lists.freebsd.org/archives/freebsd-current/2021-January/078348.html
https://lists.freebsd.org/archives/freebsd-current/2021-March/078985.html
https://lists.freebsd.org/archives/freebsd-current/2021-May/079708.html
https://lists.freebsd.org/archives/freebsd-current/2021-May/079739.html

– and so on.
Comment 1 Graham Perrin 2021-05-27 16:37:02 UTC
Parallel discussion: 

https://lists.freebsd.org/archives/freebsd-hackers/2021-May/057354.html
Comment 2 Mark Millard 2021-05-27 21:24:13 UTC
(In reply to Graham Perrin from comment #1)

My guess from the wording of the described plan:

QUOTE from https://lists.freebsd.org/archives/freebsd-hackers/2021-May/057357.html :
So to avoid breaking the bookmark, the plan now is to keep a copy as-is of the
pipermail archives, (not the redirection). and have the new archives elsewhere.

The open question now is the new archives should they provide the ancient mail
as well? for now it has been decided yes, to not break threads, but restarting
from scratch would also be a very good option
END QUOTE

is that the URL's with something like the old style prefix:

https://lists.freebsd.org/pipermail/

would at some point start accessing the "as-is" copy of the pipermail archives.

Thus in my original report where googling and trying the link found lead to
trying to go to:

https://lists.freebsd.org/pipermail/freebsd-arm/2019-December/020854.html

but it displayed the wrong message, that procedure should at some point
correctly display the original message that I was trying to find. See:

https://lists.freebsd.org/archives/freebsd-bugs/2021-May/101990.html and
later related messages for the content of my original report.
Comment 3 Graham Perrin 2021-05-28 07:46:39 UTC
(In reply to Mark Millard from comment #2)

Thanks … I'm slightly confused (not familiar with pipermail or the redirection(s)). 

With what's planned, will URLs such as those in comment 0 become good again?
Comment 4 Mark Millard 2021-05-28 09:36:27 UTC
(In reply to Graham Perrin from comment #3)

https://lists.freebsd.org/archives/ only lists the recently converted lists
that allow subscriptions: the same lists that the new https://lists.freebsd.org/index
shows with a [un]subscribe button. These "archives/" based URLs are the
new-style URLs, not the ones that have been in use for years (decades?).

So, for example, there is no https://lists.freebsd.org/archives/freebsd-toolchain/
yet: still not converted. And google does not have years (decades?) of saved
references that start with https://lists.freebsd.org/archives/ for any of the
lists: https://lists.freebsd.org/pipermail/ prefixed URLs were saved at the time.

But I've no detailed knowledge of their plans. Thus the "[m]y guess from the
wording" in comment #2.

Since the original technique did not work as planned, there may be no way to
avoid having a mess for list submittals over the time frame for the multi-step
transition. Years of old ones (using older style URLs) and, eventually, the
newest ones (using some newer style URL) may work well --but those between may
have issues for all I know. (Or the range of such problematical ones might be
empty? I've no real clue.)
Comment 5 Graham Perrin 2021-05-29 11:41:50 UTC
(In reply to Mark Millard from comment #4)

> … These "archives/" based URLs are the new-style URLs, 
> not the ones that have been in use for years (decades?). …

Ah, OK. Now I see, the URLs that I listed in comment 0 were the results of redirects. 

My bookmarks are of <http://lists.freebsd.org/pipermail/freebsd-current/2007-April/070544.html> and so on. 

<https://web.archive.org/web/20210225130535/https://lists.freebsd.org/pipermail/freebsd-current/2007-April/070544.html> is in the Wayback Machine: 

> ZFS committed to the FreeBSD base.

<https://lists.freebsd.org/pipermail/freebsd-current/2007-April/070544.html> redirects to the wrong e-mail: 

> NFS panics

– at <https://lists.freebsd.org/archives/freebsd-current/2007-April/070544.html>

----

<https://web.archive.org/web/*/https://lists.freebsd.org/pipermail/freebsd-current/2021-May/079739.html> is not in the Wayback Machine; and so on.
Comment 6 Graham Perrin 2021-06-06 08:10:42 UTC
Some progress, thank you! 

(In reply to Graham Perrin from comment #5)

My 2012 bookmark of (HTTP) 
   <http://lists.freebsd.org/pipermail/freebsd-current/2007-April/070544.html>
  now redirects to (HTTPS) 
  <https://lists.freebsd.org/pipermail/freebsd-current/2007-April/070544.html>

  – the correct content

  – with no subsequent redirection to the wrong content. 

My 2021 bookmark of 
   <https://lists.freebsd.org/pipermail/freebsd-current/2021-May/079739.html>
  is not found.
Comment 7 Graham Perrin 2021-06-06 11:24:11 UTC
<https://lists.freebsd.org/archives/freebsd-current/2021-June/000127.html> plans A and B noted with thanks.
Comment 8 Graham Perrin 2021-06-07 05:03:03 UTC
(In reply to Graham Perrin from comment #1)

> Parallel discussion: 
> 
> https://lists.freebsd.org/archives/freebsd-hackers/2021-May/057354.html

Not found :-)
Comment 9 Mark Millard 2021-06-12 02:05:15 UTC
(In reply to Graham Perrin from comment #8)

https://lists.freebsd.org/pipermail/freebsd-hackers/2021-May/

covers:

Starting: Sat May 1 09:29:40 UTC 2021
Ending: Tue May 18 18:28:08 UTC 2021


 https://lists.freebsd.org/archives/freebsd-hackers/2021-May/

covers:

Starting Tue May 18 2021 - 21:07:44 UTC, Ending Mon May 31 2021 - 16:17:56 UTC

Which of those time frames was the message supposed to be
from? Does your /pipermail/ vs. /archives/ use match that?

Is there something else about the message that would allow one
to known if one had found the right match? (Handy for anyone
investigating.)

I will note that, because the first technique failed to be sufficient
and had to be replaced, there were some (now known to be) temporary
URLs that match neither list that exists now, if I understand right.
Unfortunate, but expected at this point. I do not know if your
example is one of them or not.
Comment 10 Mark Millard 2021-06-12 02:16:54 UTC
(In reply to Mark Millard from comment #9)

Actually, after looking around, I do know your example is one of temporary
URLs:

The last pipermail freebsd-hackers URL is:

https://lists.freebsd.org/pipermail/freebsd-hackers/2021-May/057324.html

and the first archives freebsd=hackers URL is:

https://lists.freebsd.org/archives/freebsd-hackers/2021-May/000000.html

So any things with  > 057324.html is one of the temporaries for freebsd-hackers
and your example has: 057354.html .

My guess is that, since 57354-(57324+1) == 29, that your example
ended up as something like:

https://lists.freebsd.org/archives/freebsd-hackers/2021-May/000029.html
Comment 11 Baptiste Daroussin freebsd_committer 2021-06-18 12:56:09 UTC
should be fixed, please reopen if some cases are not working
Comment 12 Mark Millard 2021-06-18 18:50:12 UTC
(In reply to Baptiste Daroussin from comment #11)

What is the intent for the likes of:

dev-commits-doc-all/
dev-commits-ports-all/
dev-commits-ports-branches/
dev-commits-ports-main/
dev-commits-src-all/
dev-commits-src-branches/
dev-commits-src-main/

and:

freebsd-announce/
freebsd-snapshots/

They seem to be still only https://lists.freebsd.org/pipermail/ based.
Comment 13 Graham Perrin 2021-06-23 05:49:40 UTC
(In reply to Mark Millard from comment #12)

I guess, the simplest answer is that they're not yet migrated. 

<https://lists.freebsd.org/>

>> We are currently in the middle of a migration from mailman to mlmmj. 
>> If a mailing list you are expecting is not here, it means it is 
>> not yet migrated, please have a look here